.card-wrapper {
    margin: 50px auto;
    width: 570px;
}

.body-balance{
    background: #fff;
}

.card{
    border-radius: 12px !important;
    background: #fff !important;
}

.card-body {
    padding: 30px !important;
}

.card-title {
    font-size: 24px;
    font-weight: bold;
}

.card-body-wrapper {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.card-convertation {
    h3 {
        font-size: 12px;
        color: #555770;
        line-height: 18px;
        text-transform: uppercase;
    }

}

.card-convertation-body {
    display: flex;
}

.card-convertation-item {
    position: relative;

    input {
        width: 144px;
        font-size: 16px;
        line-height: 24px;
        color: #8F90A6;
        padding: 16px 55px 16px 16px;
        background-color: #FAFAFC;
        border-radius: 8px 0px 0px 8px;
        border: 1px solid #E4E4EB;

    }

    img {
        position: absolute;
        right: 20px;
        top: 50%;
        transform: translateY(-50%);
    }

    &:last-child {
        input {

            border-radius: 0px 8px 8px 0px;

        }
    }
}

.card-selected {
    display: flex;
    align-items: center;
    gap: 16px;

    .curent-card {
        background-color: #6698FA;
        border-radius: 8px;
        width: 116px;
        height: 80px;
        color: white;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        padding: 8px;
    }

    .add-card {
        border-radius: 8px;
        padding: 4px;
        border: 2px solid #3E7BFA;
        cursor: pointer;

        .add-card-body {
            background: #F2F2F5;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            gap: 8px;
            padding: 8px 15px;

            span {
                font-size: 14px;
                line-height: 22px;
                color: #555770;
                font-weight: 700;
            }
        }
    }
}

.cards-body-wrapper {
    flex: 0 0 auto;
    width: 100%;
    height: 240px;
}

.card-size-primary {
    width: 65%;
    z-index: 10;
    position: relative;
}

.card-size-secondary {
    position: relative;
    bottom: 210px;
    left: 205px;
}


.card-inputs {
    display: flex;
    position: relative;
    bottom: 390px;
    z-index: 11;

    .card-date {
        display: flex;
        width: 65%;
        padding: 0px;

        span {
            color: #fff;
            padding: 10px;
            font-size: 16px;
        }

        input {
            font-size: 16px;
            line-height: 16px;
            color: #000;
            padding: 10px;
            background-color: #FAFAFC;
            border-radius: 8px;
            border: 1px solid #E4E4EB;
            width: 40%;
        }

    }

    .input-primary {
        width: 65%;
        padding: 15px;
    }

    .input-secondary {
        width: 35%;
        padding: 55px 30px;

        h3 {
            font-size: 12px;
            color: #555770;
            line-height: 18px;
            text-transform: uppercase;
        }

        .cvc-text {
            font-size: 11px;
            color: #8F90A6;
            white-space: normal;
            text-wrap: balance;
        }

        input {
            font-size: 16px;
            line-height: 16px;
            color: #000;
            padding: 10px;
            background-color: #FAFAFC;
            border-radius: 8px;
            border: 1px solid #E4E4EB;
            width: 100%;
            margin-bottom: 5px;
        }
    }

    h3 {
        font-size: 12px;
        color: #fff;
        line-height: 18px;
        text-transform: uppercase;
    }

    input {
        font-size: 16px;
        line-height: 16px;
        color: #000;
        padding: 10px;
        background-color: #FAFAFC;
        border-radius: 8px;
        border: 1px solid #E4E4EB;
        width: 100%;
        margin-bottom: 15px;
    }

}


.checkbox {
    --background: #fff;
    --border: #D1D6EE;
    --border-hover: #BBC1E1;
    --border-active: #3E7BFA;
    --tick: #fff;
    position: relative;

    input,
    svg {
        width: 21px;
        height: 21px;
        display: block;
    }

    input {
        -webkit-appearance: none;
        -moz-appearance: none;
        position: relative;
        outline: none;
        background: var(--background);
        border: none;
        margin: 0;
        padding: 0;
        cursor: pointer;
        border-radius: 4px;
        transition: box-shadow .3s;
        box-shadow: inset 0 0 0 var(--s, 1px) var(--b, var(--border));

        &:hover {
            --s: 2px;
            --b: var(--border-hover);
        }

        &:checked {
            --b: var(--border-active);
        }
    }

    svg {
        pointer-events: none;
        fill: none;
        stroke-width: 2px;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke: var(--stroke, var(--border-active));
        position: absolute;
        top: 0;
        left: 0;
        width: 21px;
        height: 21px;
        transform: scale(var(--scale, 1)) translateZ(0);
    }

    &.path {
        input {
            &:checked {
                --s: 2px;
                transition-delay: .4s;

                &+svg {
                    --a: 16.1 86.12;
                    --o: 102.22;
                }
            }
        }

        svg {
            stroke-dasharray: var(--a, 86.12);
            stroke-dashoffset: var(--o, 86.12);
            transition: stroke-dasharray .6s, stroke-dashoffset .6s;
        }
    }

    &.bounce {
        --stroke: var(--tick);

        input {
            &:checked {
                --s: 11px;

                &+svg {
                    animation: bounce .4s linear forwards .2s;
                }
            }
        }

        svg {
            --scale: 0;
        }
    }
}

@keyframes bounce {
    50% {
        transform: scale(1.2);
    }

    75% {
        transform: scale(.9);
    }

    100% {
        transform: scale(1);
    }
}

.acception-wrapper {

    .acception {
        display: flex;

        h6 {
            color: #555770;
            margin: 2px 5px;
        }
    }

    .acception2 {
        margin-left: 25px;

        h6 {
            color: #555770;

            a {
                color: #3E7BFA;
                text-decoration: none;
            }
        }
    }

}

.btn-section {
    margin-top: 30px;

    button {
        border-radius: 50px;
        background: #3E7BFA;
        width: 140px;
        height: 52px;
        justify-content: center;
        font-size: 16px;
        padding: 13px;
    }
}


.errors{
    p{
        margin-bottom: 35px;
    }
}


footer{
    background: #FAFAFC;

    .footer-contents{
        display: flex;
        height: 80px;

        h6{
            margin-bottom: 0px;
            margin-right: 15px;
            color: #555770;
            font-size: 14px;
        }

        a{
            text-decoration: none;
            color: #3568D4;
            font-size: 14px;
        }
    }
}